using Engine.Scene;
using OpenTK.Mathematics;

namespace Engine.Input;

public interface IInputHandler : IUpdate
{
  Vector2 MousePosition { get; }

  bool IsKeyPressed(KeyboardButtonCode parKeyboardButtonCode);
  bool IsKeyJustPressed(KeyboardButtonCode parKeyboardButtonCode);

  bool IsMouseButtonPressed(MouseButtonCode parButtonCode);
  bool IsMouseButtonJustPressed(MouseButtonCode parButtonCode);
}